pgpool-II 4.3.7 Documentation
Prev | Up |  | Next

# pcp_health_check_stats

## Name

pcp_health_check_stats -- displays health check statistics data on given node ID

## Synopsis

`pcp_health_check_stats` [`option`...] [`node_id`]

## Description

`pcp_health_check_stats` displays health check statistics data on given node ID.

## Options

`-n `node_id``
`--node-id=`node_id``

  The index of backend node to get information of.

`Other options`

  See pcp_common_options.

## Example

Here is an example output:

    $ pcp_health_check_stats -h localhost -p 11001 -w 0
    0 /tmp 11002 up primary 2020-02-24 22:02:42 3 3 0 0 0 0.000000 0 5 1 3.666667 2020-02-24 22:02:47 2020-02-24 22:02:47
    $ pcp_health_check_stats -h localhost -p 11001 -w -v 0
    Node Id                       : 0
    Host Name                     : /tmp
    Port                          : 11002
    Status                        : up
    Role                          : primary
    Last Status Change            : 2020-02-24 22:02:42
    Total Count                   : 5
    Success Count                 : 5
    Fail Count                    : 0
    Skip Count                    : 0
    Retry Count                   : 0
    Average Retry Count           : 0.000000
    Max Retry Count               : 0
    Max Health Check Duration     : 5
    Minimum Health Check Duration : 1
    Average Health Check Duration : 4.200000
    Last Health Check             : 2020-02-24 22:03:07
    Last Successful Health Check  : 2020-02-24 22:03:07
    Last Skip Health Check        :
    Last Failed Health Check      :

See Table 1 for details of data.

Prev | Home | Next
pcp_node_info | Up | pcp_watchdog_info